File README.SUSE of Package lyx

LyX makes use of ImageMagick, a.o. for showing previews of images in 
the LyX windows. In openSUSE some functionality of ImageMagick is 
disabled for security reasons. This is true for all postscripts 
files. Showing an eps image in LyX, therefore, does not work out of 
the box.

If you want to enable some disabled functionality, you can edit the 
settings in /etc/ImageMagick-7, if you know what you are doing. An 
alternative is to remove the package with the default SUSE setting 
and install the upstream version: ImageMagick-config-7-SUSE must be 
replaced by ImageMagick-config-7-upstream.

More information can be found in this announcement:

https://lists.opensuse.org/opensuse-security-announce/2019-05/msg00010.html

More information on ImageMagick security settings can be found here:

https://imagemagick.org/script/security-policy.php
openSUSE Build Service is sponsored by